> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Applicant Appointment: Entrata

POST https://api.propexo.com/v1/events/appointments/applicants/entrata/
Content-Type: application/json

Create an appointment for an applicant in Entrata. Entrata expects all times to be in Mountain Time (UTC-7:00 or UTC-6:00 depending on daylight savings). Times will be automatically converted based on the local time of the property when an end user views the appointment time in the browser.| Method            |
| ----------------- |
| leads/updateLeads |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Reference: https://docs.propexo.com/api-reference/entrata/appointments/create-applicant-appointment-entrata

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_events_appointments_applicants_entrata__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `applicant_id` (string, required) — The Propexo unique identifier for the applicant
- `application_id` (string, required) — The Propexo unique identifier for the application
- `appointment_date` (V1EventsAppointmentsApplicantsEntrataPostInputAppointmentDate, required) — The date when the appointment will occur
- `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. Entrata expects this time to be in Mountain Time and honor daylight savings time.
- `appointment_duration_minutes` (integer, required) — The duration of the appointment, in minutes
- `appointment_type` (enum, required) — The type of appointment. This is specific to Entrata and correlates to the types of calendar appointments available
  - Allowed values: `LEASING_APPOINTMENT`, `SELF_GUIDED_TOUR`, `TOUR`, `VIRTUAL_TOUR`
- `notes` (string, required) — Notes associated with the event
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `title` (string, optional) — The title associated with the event

## Response

### 200

Successful response

- `meta` (V1EventsAppointmentsApplicantsEntrataPostOutputMeta, required)
- `result` (V1EventsAppointmentsApplicantsEntrataPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1EventsAppointmentsApplicantsEntrataPostInputAppointmentDate

The date when the appointment will occur

### V1EventsAppointmentsApplicantsEntrataPostOutputMeta

- `job_id` (string, required)

### V1EventsAppointmentsApplicantsEntrataPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `applicant_id` (string, required) — The Propexo unique identifier for the applicant
- `application_id` (string, required) — The Propexo unique identifier for the application
- `unit_id` (string, required, nullable) — The Propexo unique identifier for the unit
- `appointment_date` (V1EventsAppointmentsApplicantsEntrataPostOutputResultAppointmentDate, required, nullable)
- `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. Entrata expects this time to be in Mountain Time and honor daylight savings time.
- `appointment_duration_minutes` (integer, required) — The duration of the appointment, in minutes
- `appointment_type` (enum, required) — The type of appointment. This is specific to Entrata and correlates to the types of calendar appointments available
  - Allowed values: `LEASING_APPOINTMENT`, `SELF_GUIDED_TOUR`, `TOUR`, `VIRTUAL_TOUR`
- `notes` (string, required) — Notes associated with the event
- `title` (string, required, nullable) — The title associated with the event

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1EventsAppointmentsApplicantsEntrataPostOutputResultAppointmentDate

## Examples

**Request**

```json
{
  "integration_id": "int-987654321",
  "applicant_id": "app-123456789",
  "application_id": "appl-456789123",
  "appointment_date": "2024-07-20",
  "appointment_time": "14:00:00",
  "appointment_duration_minutes": 45,
  "appointment_type": "LEASING_APPOINTMENT",
  "notes": "Applicant requested a tour of the 2-bedroom unit."
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240720140000-entrata"
  },
  "result": {
    "integration_id": "int-987654321",
    "applicant_id": "app-123456789",
    "application_id": "appl-456789123",
    "unit_id": "unit-654321987",
    "appointment_date": "2024-07-20",
    "appointment_time": "14:00:00",
    "appointment_duration_minutes": 45,
    "appointment_type": "LEASING_APPOINTMENT",
    "notes": "Applicant requested a tour of the 2-bedroom unit.",
    "title": "Leasing Appointment with John Doe"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/events/appointments/applicants/entrata/"

payload = {
    "integration_id": "int-987654321",
    "applicant_id": "app-123456789",
    "application_id": "appl-456789123",
    "appointment_date": "2024-07-20",
    "appointment_time": "14:00:00",
    "appointment_duration_minutes": 45,
    "appointment_type": "LEASING_APPOINTMENT",
    "notes": "Applicant requested a tour of the 2-bedroom unit."
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/events/appointments/applicants/entrata/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"int-987654321","applicant_id":"app-123456789","application_id":"appl-456789123","appointment_date":"2024-07-20","appointment_time":"14:00:00","appointment_duration_minutes":45,"appointment_type":"LEASING_APPOINTMENT","notes":"Applicant requested a tour of the 2-bedroom unit."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/events/appointments/applicants/entrata/"

	payload := strings.NewReader("{\n  \"integration_id\": \"int-987654321\",\n  \"applicant_id\": \"app-123456789\",\n  \"application_id\": \"appl-456789123\",\n  \"appointment_date\": \"2024-07-20\",\n  \"appointment_time\": \"14:00:00\",\n  \"appointment_duration_minutes\": 45,\n  \"appointment_type\": \"LEASING_APPOINTMENT\",\n  \"notes\": \"Applicant requested a tour of the 2-bedroom unit.\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/events/appointments/applicants/entrata/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"int-987654321\",\n  \"applicant_id\": \"app-123456789\",\n  \"application_id\": \"appl-456789123\",\n  \"appointment_date\": \"2024-07-20\",\n  \"appointment_time\": \"14:00:00\",\n  \"appointment_duration_minutes\": 45,\n  \"appointment_type\": \"LEASING_APPOINTMENT\",\n  \"notes\": \"Applicant requested a tour of the 2-bedroom unit.\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/events/appointments/applicants/entrata/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"int-987654321\",\n  \"applicant_id\": \"app-123456789\",\n  \"application_id\": \"appl-456789123\",\n  \"appointment_date\": \"2024-07-20\",\n  \"appointment_time\": \"14:00:00\",\n  \"appointment_duration_minutes\": 45,\n  \"appointment_type\": \"LEASING_APPOINTMENT\",\n  \"notes\": \"Applicant requested a tour of the 2-bedroom unit.\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/events/appointments/applicants/entrata/', [
  'body' => '{
  "integration_id": "int-987654321",
  "applicant_id": "app-123456789",
  "application_id": "appl-456789123",
  "appointment_date": "2024-07-20",
  "appointment_time": "14:00:00",
  "appointment_duration_minutes": 45,
  "appointment_type": "LEASING_APPOINTMENT",
  "notes": "Applicant requested a tour of the 2-bedroom unit."
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/events/appointments/applicants/entrata/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"int-987654321\",\n  \"applicant_id\": \"app-123456789\",\n  \"application_id\": \"appl-456789123\",\n  \"appointment_date\": \"2024-07-20\",\n  \"appointment_time\": \"14:00:00\",\n  \"appointment_duration_minutes\": 45,\n  \"appointment_type\": \"LEASING_APPOINTMENT\",\n  \"notes\": \"Applicant requested a tour of the 2-bedroom unit.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "int-987654321",
  "applicant_id": "app-123456789",
  "application_id": "appl-456789123",
  "appointment_date": "2024-07-20",
  "appointment_time": "14:00:00",
  "appointment_duration_minutes": 45,
  "appointment_type": "LEASING_APPOINTMENT",
  "notes": "Applicant requested a tour of the 2-bedroom unit."
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/events/appointments/applicants/entrata/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```